import { Callback } from '../types/Callback';
import { $Component } from '../types/interface/async/$Component';
import { $EE } from '../types/interface/async/$EE';
import { Component_ } from '../types/interface/Component';
import { EE } from '../types/interface/EE';
import { W } from '../types/interface/W';
import { UnitBundle } from '../types/UnitBundle';
import { $Child } from './Child';
import { $Children } from './Children';
export declare function $appendChild(component: Component_, Class: UnitBundle<Component_>, callback: Callback<number>): void;
export declare function $removeChild(component: Component_, { at }: {
    at: number;
}, callback: Callback<{
    specId: string;
}>): void;
export declare function $hasChild(component: Component_, { at }: {
    at: number;
}, callback: Callback<boolean>): void;
export declare function $child(component: Component_, { at }: {
    at: number;
}, callback: Callback<$Child>): void;
export declare function $children(component: Component_, {}: {}, callback: Callback<$Children>): void;
export declare function $refChild(component: Component_, { at, _ }: {
    at: number;
    _: string[];
}): $Component;
export declare function $refEmitter(emitter: EE): $EE;
export declare function $refChildContainer(component: W, { at, _ }: {
    at: number;
    _: string[];
}): $Component;
export declare function $refParentRootContainer(component: W, { at, _ }: {
    at: number;
    _: string[];
}): $Component;
export declare function $refParentChildContainer(component: W, { at, _ }: {
    at: number;
    _: string[];
}): $Component;
